
project, original("folketing_elections_1849_1915.dta")


	*****************************
	* Create indicators for previous and next elections
	*****************************
	use "folketing_elections_1849_1915.dta", clear
	drop if electiontype=="special"
	***
	gen tmp = votes
	replace tmp = recall_pro+recall_con if electiontype=="recall"
	bys constituency date: egen totalvotes = total(tmp) if uncontested==0 | electiontype=="recall"
	gen turnout = 100*totalvotes/electors
	contract constituency  date county constituency_number turnout
	gen month = month(date)
	gen year = year(date)
	gen constituency_name = trim(regexs(1)) if regexm(constituency, "(.*) [1][89]")
	sort constituency date 
	drop  _freq
	by constituency: gen next_election = date[_n+1]
	by constituency: gen prev_election = date[_n-1]
	format next_election %d
	format prev_election %d
	by constituency: gen turnout_next = turnout[_n+1]
	save district_dates.dta, replace
	***

project, creates(district_dates.dta) 
	
