
* PROGRAM :			newspapers_incumbency.do
* AUTHOR :			Alexander Fouirnaies
* INFILE(S) :		
* OUTFILE(S) :		
* DATE WRITTEN :	Sept 2020
*************************************************************************


version 14.2



project, do(district_dates.do) // creates district_dates.dta using folketing_elections_1849_1915.dta

project, do(./newspapers/load_newspaper_info.do) // creates newspapers_loaded.dta using DanishNewspaper1848_1917_sections_2_29.xlsx, DanishNewspaper1848_1917_sections_30_50.xlsx and DanishNewspaper1848_1917_sections_51_110.xlsx

project, do(./newspapers/newspapers.do) // creates newspaper_info.dta using newspapers_loaded.dta

project, do(./railroads/railroads.do) // creates railway_stations.dta using stations.xlsx, stations_Opstillingskreds_1894.xlsx and stations_Opstillingskreds_1849.xlsx

project, do(./mediastream/newspaper_hits.do) // creates newspaper_hits.dta using hits_ml_valg_v11.xlsx

project, do(prep.do) // creates do_newspapers_benefit_incumbents.dta using folketing_elections_1849_1915.dta, newspaper_hits.dta, newspaper_info.dta and district_dates.dta and hits_ml_valg_v11.xlsx

project, do(newspaper_growth.do) // Produces Figure 1 using do_newspapers_benefit_incumbents.dta

project, do(balance.do) //Produces Figure 2 (+ Appendix Tables A.4, A.5, A.6, A.11 + Appendix Figures A.2, A.3, A.4, A.5) using do_newspapers_benefit_incumbents.dta

project, do(news.do) // Produces Figures 3 and 4 + Tables 1 and 2 (+ Appendix Tables A.2 + A.3) using do_newspapers_benefit_incumbents.dta

project, do(reelection.do) // Produces Figures 5, 6 and 7 + Tables 3 and 4 (+ Appendix Table A.1, A.7 and A.8) using do_newspapers_benefit_incumbents.dta

project, do(partisan.do) // Produces Figures 8 + Tables 5 using do_newspapers_benefit_incumbents.dta

project, do(summary.do) // Produces (Appendix Table A.1) using do_newspapers_benefit_incumbents.dta


