

project, uses("do_newspapers_benefit_incumbents.dta")

	**Figure 1
	use do_newspapers_benefit_incumbents.dta, clear
	drop if newspapers==.
	
	gen dumcon = newspapers_højre>0
	gen dumlib = newspapers_venstre>0 | newspapers_radikale>0 | newspapers_modera>0
	gen dumsoc = newspapers_soc >0
	gen dumtotal = max(dumcon, dumsoc,  dumlib)
	

	collapse dum*  (count) obs=dumtotal , by(year)
	foreach v of varlist *dum*  {
		replace `v'=. if obs<10
	}
	twoway (line dumtotal year,  lcolor(black) lpattern(solid) lwidth(medthick))	///
		   (line dumlib year,  lcolor(blue) lpattern("..-")) ///	
		   (line dumcon year,  lcolor(dkgreen) lpattern(dash))  ///
		   (line dumsoc year,  lcolor(red) lpattern("-......")) ///
	, graphregion(color(white)) tlabel(1850 (5) 1915) ///
	legend(order (1 "Any Newspaper" 3 "Conservative Newspaper" 2 "Liberal Newspaper"  4 "Socialist Newspaper" ) ring(0) pos(11) col(1) size(small) ) xsize(10) ysize(6) ///
	ttitle("") ytitle("Share of Constituencies with Local Newspapers")  scale(1.25)
	graph export "./figures_tables/newspapers_by_year.eps", replace

	
project, creates("./figures_tables/newspapers_by_year.eps") 
