

	project, original("DanishNewspaper1848_1917_sections_2_29.xlsx")

	project, original("DanishNewspaper1848_1917_sections_30_50.xlsx")

	project, original("DanishNewspaper1848_1917_sections_51_110.xlsx")


	*****************************
	* Create indicators for previous and next elections
	*****************************
	
	import excel "DanishNewspaper1848_1917_sections_2_29.xlsx", clear first
	replace district = district[_n-1] if district==""
	replace area_code = area_code[_n-1] if area_code==.
	replace area_name = area_name[_n-1] if area_name==""
	tempfile tmp1
	save `tmp1'
	
	import excel "DanishNewspaper1848_1917_sections_30_50.xlsx", clear first
	replace district = district[_n-1] if district==""
	replace area_code = area_code[_n-1] if area_code==.
	replace area_name = area_name[_n-1] if area_name==""
	tempfile tmp2
	save `tmp2'
	
	import excel "DanishNewspaper1848_1917_sections_51_110.xlsx", clear first
	replace district = district[_n-1] if district==""
	replace area_code = area_code[_n-1] if area_code==.
	replace area_name = area_name[_n-1] if area_name==""
	tempfile tmp3
	save `tmp3'
	
	append using `tmp2'
	append using `tmp1'
	drop if district=="." | id==""
	
	gen startdate = date(start, "DMY")
	gen enddate = date(end, "DMY")
	
	format startdate %d
	format enddate %d
	
	
	collapse (first) name start end  Pol T F Afl O startdate enddate (first) district,by(id area_code)
	
	expand 72
	bys id area_code: gen year = 1848 + _n
	expand 12
	bys id area_code year: gen month = _n
	tostring month year, generate(string_month string_year)
	gen datum = string_year + "_" + string_month
	drop string_year string_month

	save newspapers_loaded.dta, replace

	project ,creates(newspapers_loaded.dta)
	
