

project, original("stations.xlsx")

project, original("stations_Opstillingskreds_1894.xlsx")

project, original("stations_Opstillingskreds_1849.xlsx")

project, uses("./../district_dates.dta")



import excel using stations.xlsx, clear  firstrow 
replace opened = "1904" if regexm(station, "Aulum|Gødstrup|Skibbild|Vilbjerg|Troelstrup|Tvis") // 
replace closed = "1969" if regexm(station, "Gødstrup") // 
replace closed = "1971" if regexm(station, "Skibbild") // 
replace closed = "1955" if regexm(station, "Troelstrup") // 
replace closed = "1979" if regexm(station, "Tvis") // 


replace opened = "1863.07.20" if regexm(station, "Åbro|Ulstrup|Bjerringbro|Tange|Rødkærsbro|Rindsholm") //Landå-Viborg
replace closed = "1979" if regexm(station, "Rindsholm|Tange|Åbro")

replace opened = "1865.10.17" if regexm(station, "Ravnstrup|Sparkær|Stoholm|Søby|Højslev|Skive") // Viborg-Skive
replace closed = "1979" if regexm(station, "Sparkær")
replace closed = "1979" if regexm(station, "Søby")

replace opened = "1865.11.17" if regexm(station, "Estvad|Rønbjerg|Hvidemose|Vinderup|Handbjerg|Struer") //Skive-Struer
replace closed = "1979.05.26" if regexm(station, "Handbjerg")
replace closed = "1971" if regexm(station, "Hvidemose")


replace opened = "1877.12.01" if regexm(station, "Østbanetorvet|Permanente|Risskov|Vestre[+]Strandall|Grenåvej|Torsøvej|Terp|Lystrup|Hovmarken|Hjortshøj|Skødstrup|Løgten|Hornslet|Mørke|Dagstrup|Thorsager") // Aarhus Ryomgaard
replace opened = "1876.08.26" if regexm(station, "Kolind|Hallendrup|Homå|Ålsø") // Ryomgaard- Greenaa

replace opened = "1874.10.03" if regexm(station, "Esbjerg|Spangsb|Gjesing|Guldager|Varde[+]kaserne") // Esbjerg-Varde

replace opened = "1875.03.31" if regexm(station, "Holstebro[+]Station|Naur|Bur[+]Trinbræt|Vemb|Ulfborg|Tim|Hee|Ringkøbing") & opened=="" // Holstebro-Ringkøbing
replace opened = "1875.08.08" if regexm(station, "Velling|Lem[+]|Dejbjerg|Skjern|Tarm|Skodsbøl|Ølgod|Gårde[+]Sta|Tistrup|Sig[+]Sta|Varde[+]Nord") & opened=="" // Ringkøbing-Varde

replace opened = "1879" if regexm(station, "Frederikssund[+]Station|Ølstykke|Veksø|Måløv|Ballerup|Herlev|Frederiksberg Station") //
replace opened = "1909" if regexm(station, "Stenløse") //

replace opened = "1871.05.02" if regexm(station, "Alken|Ry[+]|Alling[+]Trin|Laven|Svejbæk|Sejs|Silkeborg") & opened=="" // Skanderborg-Silkeborg
replace opened = "1877.08.28" if regexm(station, "Moselund|Engesvang|Bording|Ikast|Hammerum|Birk[+]Center|Herning[+]Station") & opened=="" // Silkeborg-Herning
replace opened = "1881.10.01" if regexm(station, "Studsgård|Kibæk|Troldhede|Borris|Skjern") & opened=="" // Herning-Skjern


replace opened = "1906.05.22" if regexm(station, "Helsingør|Grønnehave|Marienlyst|Højstrup|Hellebæk|Ålsgårde|Skibstrup|Saunte|Karinebæk|Hornbæk") & opened=="" // Helsingør-Hornbæk
replace opened = "1916.07.11" if regexm(station, "Horneby|Kildekrog|Dronningmølle|Firhøj|Søborg|Stæremosen|Gilleleje") & opened=="" // Hornbæk-Gilleje

replace opened = "1884.06.19" if regexm(station, "Tranbjer|Mårslet|Malling|Assendru|Odder|Beder") & opened=="" // Odderbanen
replace opened = "1865.09.07" if regexm(station, "Nørre[+]Aaby")
	

expand  100
bys station: gen year = 1844+_n
expand 12
bys station year: gen month = _n
gen post1895 = year>=1895

tostring year month, replace
gen date = date(year + "/" + month+"/01", "YMD")
format date %d
destring year month, replace

gen railroad = date>= date(opened, "YMD") & date<=date(closed, "YMD")

tempfile stations
save `stations', replace


import excel using stations_Opstillingskreds_1894.xlsx, clear first
keep station navn
gen post1895 = 1
tempfile tmp
save `tmp', replace

import excel using stations_Opstillingskreds_1849.xlsx, clear first
keep station navn
gen post1895 = 0
append using `tmp'

gen constituency_number = regexs(1) if regexm(navn, ", ([0-9]*)[.]")
destring constituency_number, replace
gen county = regexs(1) if regexm(navn, "([^!]+),")
replace county = regexr(county, "skreds", "")
replace county = "Københavns Kommune" if county=="Staden København"


merge 1:m station post1895 using `stations'
drop _merge
drop if county=="" 

replace station = station + ";"
replace station = "" if railroad==0
gsort county constituency_number year month -railroad station
bys county constituency_number year month: gen n = _n	
keep station county constituency_number year month n railroad
reshape wide station  railroad ,i(county constituency_number year month ) j(n) 


merge 1:m county constituency_number year month using ./../district_dates.dta

sort county constituency_number year month date
by county constituency_number: replace date = date[_n-1] if date==. & date[_n-1]!=.
by county constituency_number: replace constituency = constituency[_n-1] if constituency=="" & constituency[_n-1]!=""


egen train_stations = rowtotal(railroad* )
egen train_stations_names = concat(station*)

collapse (last) train_stations_names (mean) train_stations , by(constituency date)
drop if constituency==""
save railway_stations.dta, replace



project ,creates(railway_stations.dta)

